%define module	Config-Any
%define name	perl-%{module}
%define	modprefix Config

%define version	0.14
%define	rel	1
%define release	%mkrel %{rel}

Summary:	Load configuration from different file formats, transparently
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Module::Pluggable) >= 3.01
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl-version
BuildArch:	    noarch
Buildroot:	    %{_tmppath}/%{name}-%{version}

%description
Config::Any provides a facility for Perl applications and libraries to
load configuration data from multiple different file formats. It
supports XML, YAML, JSON, Apache-style configuration, Windows INI
files, and even Perl code.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}




%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.0
+ Revision: 270346
- update to new version 0.14

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.0
+ Revision: 194922
- update to new version 0.12

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.1
+ Revision: 159933
- update to new version 0.11

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.1
+ Revision: 119232
- update to new version 0.10

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.0
+ Revision: 74278
- new version


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.1
+ Revision: 138795
- new version

* Mon Aug 28 2006 Scott Karns <scottk@mandriva.org> 0.04-2mdv2007.0
+ Revision: 58222
- Added BuildRequires perl(Test::Exception)

* Sat Aug 26 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
+ Revision: 58057
- Import perl-Config-Any

* Sat Aug 26 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
- Initial Mandriva RPM

